# diversity
<h1>Code for reproducibility of Assembly rules of helminth parasite communities in grey mullets: combining components of diversity<h1>
  <h2>Cristina Llopis-Belenguer, Sandrine Pavoine, Isabel Blasco-Costa, Juan Antonio Balbuena<h2>
    <p>We provide all raw data analysed (i.e. host-parasite abundance, parasite trait and parasite phylogenetic-like matrices) and a step-by-step summary of the R functions and packages used Llopis-Belenguer et al. 2020 (https://doi.org/10.1016/j.ijpara.2020.06.006). The stored code allows to reproduce Case 1 and Case 2 in Llopis-Belenguer et al. (2020). However, we so we only show its use with Case 1. We expect to expand studies of parasite communities using the different facets of diversity and to make future studies comparable under this framework.</p>

<p>Parasite species abbreviations: Dper, Dicrogaster perpusilla; Dcon, Dicrogaster contracta; Fgib, Forticulcita gibsoni; Scep, Saccocoelium cephali; Sasp, Saccocoelium sp; Scur, Saccocoelium currani; Sobe, Saccocoelium obesum; Sten, Saccocoelium tensum; Sbra, Saccocoelium brayi; Hben, Haploporus benedenii; Hspl, Haplosplanchnus pachysoma; Sspa, Schikhobalotrema sparisomae; Lput, Lecithobotrys putrescens; Lesp, Lecithobotrys sp; Leco, Lecithaster confusus; Spap, Saturnius papernai; Sdim, Saturnius dimitrovi; Smin, Saturnius minutus; Aadr, Acanthogyrus adriaticus; Nper, Neoechinorhynchus personatus; Cbio, Cucullanus bioccai; Lmed, Ligophorus  mediterraneus; Lcep, Ligophorus cephali; Lcha, Ligophorus chabaudi; Limi, Ligophorus imitans; Lszi, Ligophorus szidati; Lcon, Ligophorus confusus; Lvan, Ligophorus vanbenedenii; Mcep: Metamicrocotyla cephalus; Erge, Ergenstrema sp.</p>

<p>Host ID and information. 2, 3 and 4 refers to the sampling season and year: 2 is autumn 2004; 3 is spring 2005; 4 is autumn 2005. R or Cr, A or Ca and C or Mc refers to Chelon ramada, Chelon auratus and Mugil cephalus respectively. SPS, SPL and EDS refer to the sampling locality: SPS is Santa Pola Sea; SPL is Santa Pola Lagoon; and EDS is Ebro Delta Sea. A is autumn and S is spring. Data in Case 1 corresponds to case 1 and 0; data in Case 2 corresponds to case 1 and 2.</p>

<p>Functional trait abbreviations: Atta is attachment; Esiz is egg size; Enum is number of eggs; Bmas is parasite mass; Lcyc is life cycle.</p>

<p>Note: when a taxonomic category was unknown in the Phylogenetic-like matrix, we gave it a letter to avoid NA values.</p>

<p>Note: Cardicola sp. (Platyhelminthes: Trematoda) was detected by the presence of eggs trapped in the gill vessels and heart of the hosts, this species was excluded from the analyses because the number of adult individuals was not systematically recorded.</p>

<p>Note: Regarding the prevalence analysis, the number of host individuals in 3CSPS was 23. However, the number of host individuals in 3CSPS in Case 2 (see main text) was 22 because the host 3CSPS23 did not harbour parasites and it was excluded from the diversity analysis.</p>

<p>REFERENCE</p>
<p>Llopis-Belenguer, C., Pavoine, S., Blasco-Costa, I., Antonio Balbuena, J., 2020. Assembly rules of helminth parasite communities in grey mullets: combining components of diversity. International Journal for Parasitology. https://doi.org/10.1016/j.ijpara.2020.06.006 </p>
